# CalendarGridViewHolder
Date: 2018-07-30

kr.co.hanwha.hifive.adapter.viewholder

## Class CalendarGridViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.CalendarGridViewHolder

    public class CalendarGridViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 18..

### Field Summary

Fields
`private android.widget.TextView` `mTextViewDay`
`private CalendarGridAdapter.OnCalendarListener` `onCalendarListener`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`CalendarGridViewHolder(android.view.ViewGroup viewGroup, CalendarGridAdapter.OnCalendarListener onCalendarListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int position)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mTextViewDay

    private android.widget.TextView mTextViewDay

#### onCalendarListener

    private CalendarGridAdapter.OnCalendarListener onCalendarListener

### Constructor Detail

#### CalendarGridViewHolder

    public CalendarGridViewHolder(@NonNull
                                  android.view.ViewGroup viewGroup,
                                  CalendarGridAdapter.OnCalendarListener onCalendarListener)

### Method Detail

#### onBind

    public void onBind(@NonNull
                       java.lang.Object object,
                       @NonNull
                       int position)

Overrides:
  `onBind` in class `BaseViewHolder`